/**
 * @description 剪贴板指令注册入口，定义 v-clipboard 自定义指令
 * @author D吕贺034244311
 * @date 20260617
 */
import Clipboard from './clipboard'

const install = function(Vue) {
  Vue.directive('Clipboard', Clipboard)
}

if (window.Vue) {
  window.clipboard = Clipboard
  Vue.use(install); // eslint-disable-line
}

Clipboard.install = install
export default Clipboard
